FAXINFO(8C)

NAME
faxinfo - print information about a received facsimile

SYNOPSIS
Basic usage:

/usr/sbin/faxinfo [ -b ] [ -n ] [ -D ] file.tif [ file2.tif [...] ]

Formatting shortcuts:

/usr/sbin/faxinfo [ -C delim | -c delim | -r ] file.tif [ file2.tif [...] ]

Raw formatting:

/usr/sbin/faxinfo [ -S fmt ] [ -s fmt ] [ -e fmt ] [ -E fmt ] file.tif [ file2.tif [...] ]

DESCRIPTION
faxinfo prints descriptive information on the standard output about a received facsimile file. For example:

    /var/spool/hylafax/recvq/fax00017.tif:
        Sender: +14159657824
         Pages: 3
       Quality: Normal
          Page: North American Letter
      Received: 1996:01:19 13:51:02
    TimeToRecv: 0:39
    SignalRate: 14400 bit/s
    DataFormat: 2-D MR
    ErrCorrect: No
       CallID1: 4159657824
       CallID2: 1000

This information is typically included in the notification mail generated by the faxrcvd(8C) script when a facsimile is received by HylaFAX.

-n  suppresses the printing of the filename.

-b  strips any leading directory of the filename before printing

-D  prints the actual print strings being used for debug purposes

Formatting shortcuts:

-C delim
    Sets the format to a quoted CSV, shortcut to
    -S '"%s"' -s ',"' -e '"' -E '\n'

-c delim
    Sets the format to a CSV, shortcut to:
    -S '%s' -s ',' -e '' -E '\n'

-r  Sets the format to raw values, shortcut to:
    -S '' -s '' -e ' -E ''

Raw formating:

-S fmt
    used to start each fax, it is passed one parameter, the fax file name

-s fmt
    used to start each field, it is passed one parameter, the field name

-e fmt
    used to end each field, it is passed one parameter, the field name

-E fmt
    used to end each fax, it is passed one parameter, the fax file name

NOTES
The information that faxinfo prints is obtained from the tags stored in the TIFF image that is written by the HylaFAX software. If faxinfo is presented with an invalid TIFF image it may print uninteresting information. Similarly if a TIFF image that was not written by HylaFAX is supplied as an argument then only partial information may be printed—this is because HylaFAX stores certain information in private tags that other TIFF writers may not emit.

Use of the raw fmt options allows direct control of the print format strings used to format the output. These format strings are passed directly to printf, with basic \<char> sequences being interpreted, including \n, \r, and \t, and can be used to make the output conform to specific requirements, like peculiar CVS, tables, HTML, etc.

The order of the options is important. They are parsed from first to last, and any later options will override settings of previous ones.

ERRORS
faxinfo returns 0 on success and 1 if the file passed as argument is not valid.

SEE ALSO
hylafax-server(5F), faxrcvd(8C), faxgetty(8C)